Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramDocument

    ru.biosoft.gui.Document
      |
      +--biouml.workbench.diagram.DiagramDocument

public class DiagramDocument
extends Document
implements PropertyChangeListener

pending remove dependency from BioUMLApplication

Field Summary
`final static Point` | `VIEWPANE_OFFSET`
`final static int` | `X_VIEWPANE_OFFSET`
`final static int` | `Y_VIEWPANE_OFFSET`

Constructor Summary
`DiagramDocument(Diagram diagram)`

Method Summary
`void` | `close()`
`Diagram` | `getDiagram()`
`String` | `getDisplayName()`
`ViewPane` | `getViewPane()`
`void` | `propertyChange(PropertyChangeEvent pce)`
`void` | `setActive(boolean isActive)`

Methods inherited from class ru.biosoft.gui.Document
`applyEditorChanges, getModel, getUndoManager, update, updateActionsState`

Field Detail

### VIEWPANE_OFFSET

    public final static Point VIEWPANE_OFFSET

### X_VIEWPANE_OFFSET

    public final static int X_VIEWPANE_OFFSET

### Y_VIEWPANE_OFFSET

    public final static int Y_VIEWPANE_OFFSET

Constructor Detail

### DiagramDocument

    public DiagramDocument(Diagram diagram)

Method Detail

### close

    public void close()

### getDiagram

    public Diagram getDiagram()

### getDisplayName

    public String getDisplayName()

### getViewPane

    public ViewPane getViewPane()

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

  todo filtering events for diagram update
  pending if filter is changed we should only reapply the filter and not rebuild the diagram

### setActive

    public void setActive(boolean isActive)

Association Links

to Class ru.biosoft.graphics.editor.ViewPane

to Class java.awt.Point

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM